> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sezzle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of customers

> Retrieve a list of existing tokenized customers



## OpenAPI

````yaml get /v2/customer
openapi: 3.1.0
info:
  title: Sezzle API v2
  description: >-
    This Sezzle API is for merchants who want to accept Sezzle as a payment
    option
  termsOfService: https://legal.sezzle.com
  version: 2.0.0
  x-logo:
    url: https://media.sezzle.com/branding/2.0/png/Logo_WhiteWordmark_500x126.png
    backgroundColor: '#392558'
servers:
  - url: https://sandbox.gateway.sezzle.com
    description: development server, usa, ca
  - url: https://gateway.sezzle.com
    description: production server, usa, ca
security:
  - Bearer: []
externalDocs:
  description: Sezzle API guides and tutorials
  url: https://docs.sezzle.com/sezzle-integration
paths:
  /v2/customer:
    get:
      tags:
        - Customer
      summary: Get list of customers
      description: Retrieve a list of existing tokenized customers
      operationId: HandleListCustomers
      responses:
        '200':
          description: Successful Operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TokenizedCustomer'
              example:
                - uuid: a9d8e15c-5e4a-4201-aa8f-7540f934a9a2
                  expiration: '2020-04-28T17:58:11Z'
                  links:
                    - href: >-
                        https://gateway.sezzle.com/v2/customer/a9d8e15c-5e4a-4201-aa8f-7540f934a9a2
                      method: GET
                      rel: self
                    - href: >-
                        https://gateway.sezzle.com/v2/customer/a9d8e15c-5e4a-4201-aa8f-7540f934a9a2
                      method: DELETE
                      rel: self
                    - href: >-
                        https://gateway.sezzle.com/v2/customer/a9d8e15c-5e4a-4201-aa8f-7540f934a9a2/preapprove
                      method: POST
                      rel: preapprove
                    - href: >-
                        https://gateway.sezzle.com/v2/customer/a9d8e15c-5e4a-4201-aa8f-7540f934a9a2/order
                      method: POST
                      rel: order
        '400':
          $ref: '#/components/responses/BadRequestV2'
          example:
            code: bad_request
            message: bad request
        '401':
          $ref: '#/components/responses/UnauthorizedV2'
          example:
            code: unauthorized
            message: authorization not accepted
        '404':
          $ref: '#/components/responses/NotFoundV2'
          example:
            code: record_not_found
            message: not found
        '422':
          $ref: '#/components/responses/UnprocessableV2'
          example:
            code: invalid
            message: UnprocessableV2 entity
components:
  schemas:
    TokenizedCustomer:
      allOf:
        - $ref: '#/components/schemas/Response'
        - type: object
          properties:
            expiration:
              type: string
              format: date-time
              description: The UTC expiration date of the customer tokenization
    Response:
      type: object
      properties:
        uuid:
          type: string
          description: The unique identifier for this response
        links:
          type: array
          description: Available API links prefilled with UUID with accompanying method
          items:
            $ref: '#/components/schemas/Link'
    ErrorV2:
      type: object
      properties:
        code:
          type: string
          description: The general error type
        message:
          type: string
          description: A more specific error message, if available
        location:
          type: string
          description: Where the error occurred
        debug_uuid:
          type: string
          description: The unique identifier assigned to this error for troubleshooting
    Link:
      type: object
      required:
        - href
      properties:
        href:
          type: string
          description: The fully qualified URL for the API endpoint
        rel:
          type: string
          description: >-
            The relationship type indicating the purpose of this link (e.g.,
            'self' for the current resource, 'create' for creating a new
            resource, 'list' for listing resources)
          enum:
            - self
            - capture
            - checkout
            - create
            - customer
            - list
            - order
            - preapprove
            - refund
            - release
            - session
        method:
          type: string
          description: The HTTP method to use when calling this API endpoint
          enum:
            - GET
            - POST
            - PATCH
            - DELETE
  responses:
    BadRequestV2:
      description: Invalid request
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ErrorV2'
          example:
            - code: bad_request
              message: bad request
    UnauthorizedV2:
      description: >-
        Unauthorized. Returned for any failed bearer or basic auth, including
        expired bearer tokens.
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ErrorV2'
          example:
            - code: unauthorized
              message: authorization not accepted
    NotFoundV2:
      description: The specified resource was not found
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ErrorV2'
          example:
            - code: record_not_found
              message: not found
    UnprocessableV2:
      description: Unable to process the request entity
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ErrorV2'
          example:
            - code: invalid
              message: Unprocessable entity
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header
      description: >-
        The authentication token generated from providing API Keys to Sezzle
        Gateway

````